LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort Class Reference

`#include <IPv6OverGeoNetworkingPort.hh>`

Inheritance diagram for LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort:

## Public Member Functions

| IPv6OverGeoNetworkingPort (const char *par_port_name=NULL)
| ~IPv6OverGeoNetworkingPort ()
void | set_parameter (const char *parameter_name, const char *parameter_value)

## Protected Member Functions

void | user_map (const char *system_port)
void | user_unmap (const char *system_port)
void | user_start ()
void | user_stop ()
void | outgoing_send (const IPv6OverGeoNetworkingReq &send_par)

## Private Member Functions

void | Handle_Fd_Event_Error (int fd)
void | Handle_Fd_Event_Writable (int fd)
void | Handle_Fd_Event_Readable (int fd)

## Constructor & Destructor Documentation

## IPv6OverGeoNetworkingPort()

LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::IPv6OverGeoNetworkingPort | ( | const char * | par_port_name = `NULL` | ) |

## ~IPv6OverGeoNetworkingPort()

LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::~IPv6OverGeoNetworkingPort | ( |  | ) |

## Member Function Documentation

## Handle_Fd_Event_Error()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::Handle_Fd_Event_Error | ( | int | fd | ) |

private

## Handle_Fd_Event_Readable()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::Handle_Fd_Event_Readable | ( | int | fd | ) |

private

## Handle_Fd_Event_Writable()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::Handle_Fd_Event_Writable | ( | int | fd | ) |

private

## outgoing_send()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::outgoing_send | ( | const IPv6OverGeoNetworkingReq & | send_par | ) |

protected

## set_parameter()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::set_parameter | ( | const char * | parameter_name,
|  | const char * | parameter_value
| ) |  |

## user_map()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::user_map | ( | const char * | system_port | ) |

protected

## user_start()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::user_start | ( |  | ) |

protected

## user_stop()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::user_stop | ( |  | ) |

protected

## user_unmap()

void LibItsIpv6OverGeoNetworking__TestSystem::IPv6OverGeoNetworkingPort::user_unmap | ( | const char * | system_port | ) |

protected

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/include/IPv6OverGeoNetworkingPort.hh
- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/src/IPv6OverGeoNetworkingPort.cc